std::hash< unique_ptr< _Tp, _Dp > > Struct Template Reference
Utilities » Memory » Pointer Abstractions

Inherits std::__hash_base< _Result, _Arg >, and std::__poison_hash< _Tp, typename >.

## Public Types

typedef _Result result_type | _GLIBCXX17_DEPRECATED
typedef _Arg argument_type | _GLIBCXX17_DEPRECATED

## Public Member Functions

size_t | operator() (const unique_ptr< _Tp, _Dp > &__u) const noexcept

## Detailed Description

### template<typename _Tp, typename _Dp>
struct std::hash< unique_ptr< _Tp, _Dp > >

std::hash specialization for unique_ptr.

Definition at line 825 of file unique_ptr.h.

The documentation for this struct was generated from the following file:

- unique_ptr.h